Bug 1765917 - Review Request: vitetris - Virtual terminal *tris clone
Summary: Review Request: vitetris - Virtual terminal *tris clone
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-10-27 10:39 UTC by Antonio
Modified: 2019-11-06 20:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-06 20:10:09 UTC
anto.trande: fedora-review-


Attachments (Terms of Use)

Description Antonio 2019-10-27 10:39:29 UTC
Spec URL: https://sagitter.fedorapeople.org/vitetris/vitetris.spec
SRPM URL: https://sagitter.fedorapeople.org/vitetris/vitetris-0.58.0-1.fc30.src.rpm

Description:
vitetris is a terminal-based Tetris clone by Victor Nilsson Geraldsson.
Gameplay is much like the early Tetris games by Nintendo. Features include:

 - Configurable keys
 - Highscore table
 - Two-player mode with garbage
 - Network play
 - Joystick (gamepad) support on Linux or with Allegro

Rotation, scoring, levels and speed should resemble the early Tetris games
by Nintendo, with the addition of a short lock delay which makes it
possible to play at higher levels.  (It does not make it possible to
prevent the piece from ever locking by abusing lock delay resets.)

vitetris comes with more features and options than might be expected from
a simple text mode game.  Full input control, customizable appearance,
netplay where both players can choose difficulty (level and height) --
unless you must have sound (or just don't like Tetris), you won't be
dissappointed.  Everything is not described here, but you should be able
to figure it out.

Fedora Account System Username: sagitter

This package is for Fedora (for now)

Comment 1 Richard Shaw 2019-11-02 14:42:15 UTC
Everything looks pretty good the only issue might be the desktop file. I'm don't think desktop-file-edit qualifies as desktop file validation.

Other than that I think you're good to go.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vitetris-0.58.0-1.fc32.x86_64.rpm
          vitetris-debuginfo-0.58.0-1.fc32.x86_64.rpm
          vitetris-debugsource-0.58.0-1.fc32.x86_64.rpm
          vitetris-0.58.0-1.fc32.src.rpm
vitetris.x86_64: W: spelling-error Summary(en_US) tris -> trees, tries, trios
vitetris.x86_64: W: spelling-error %description -l en_US Gameplay -> Game play, Game-play, Nameplate
vitetris.x86_64: W: spelling-error %description -l en_US gamepad -> game pad, game-pad, gamed
vitetris.x86_64: W: spelling-error %description -l en_US netplay -> net play, net-play, planet
vitetris.x86_64: W: spelling-error %description -l en_US dissappointed -> disappointed, disappointment, disappointing
vitetris.x86_64: E: zero-length /var/games/vitetris-hiscores
vitetris.x86_64: W: no-manual-page-for-binary tetris
vitetris.src: W: spelling-error Summary(en_US) tris -> trees, tries, trios
vitetris.src: W: spelling-error %description -l en_US Gameplay -> Game play, Game-play, Nameplate
vitetris.src: W: spelling-error %description -l en_US gamepad -> game pad, game-pad, gamed
vitetris.src: W: spelling-error %description -l en_US netplay -> net play, net-play, planet
vitetris.src: W: spelling-error %description -l en_US dissappointed -> disappointed, disappointment, disappointing
vitetris.src:53: W: configure-without-libdir-spec
4 packages and 0 specfiles checked; 1 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: vitetris-debuginfo-0.58.0-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
vitetris-debuginfo.x86_64: W: invalid-url URL: http://victornils.net/tetris <urlopen error [Errno -2] Name or service not known>
vitetris-debugsource.x86_64: W: invalid-url URL: http://victornils.net/tetris <urlopen error [Errno -2] Name or service not known>
vitetris.x86_64: W: spelling-error Summary(en_US) tris -> trees, tries, trios
vitetris.x86_64: W: spelling-error %description -l en_US Gameplay -> Game play, Game-play, Nameplate
vitetris.x86_64: W: spelling-error %description -l en_US gamepad -> game pad, game-pad, gamed
vitetris.x86_64: W: spelling-error %description -l en_US netplay -> net play, net-play, planet
vitetris.x86_64: W: spelling-error %description -l en_US dissappointed -> disappointed, disappointment, disappointing
vitetris.x86_64: W: invalid-url URL: http://victornils.net/tetris <urlopen error [Errno -2] Name or service not known>
vitetris.x86_64: E: zero-length /var/games/vitetris-hiscores
vitetris.x86_64: W: no-manual-page-for-binary tetris
3 packages and 0 specfiles checked; 1 errors, 9 warnings.



Source checksums
----------------
https://github.com/vicgeralds/vitetris/archive/v0.58.0/vitetris-0.58.0.tar.gz :
  CHECKSUM(SHA256) this package     : e7e7cb74bb814b9fec80fe4ede3c3f04134d8217d630e092a097238248d604f9
  CHECKSUM(SHA256) upstream package : e7e7cb74bb814b9fec80fe4ede3c3f04134d8217d630e092a097238248d604f9


Requires
--------
vitetris (rpmlib, GLIBC filtered):
    liballeg.so.4.4()(64bit)
    libc.so.6()(64bit)
    rtld(GNU_HASH)

vitetris-debuginfo (rpmlib, GLIBC filtered):

vitetris-debugsource (rpmlib, GLIBC filtered):



Provides
--------
vitetris:
    application()
    application(vitetris.desktop)
    metainfo()
    metainfo(vitetris.appdata.xml)
    vitetris
    vitetris(x86-64)

vitetris-debuginfo:
    debuginfo(build-id)
    vitetris-debuginfo
    vitetris-debuginfo(x86-64)

vitetris-debugsource:
    vitetris-debugsource
    vitetris-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1765917 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: fonts, PHP, Java, Perl, Haskell, Python, Ocaml, R, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Kevin Kofler 2019-11-02 17:40:12 UTC
I think the "tetris" in the name will be an issue.

Comment 3 Tom "spot" Callaway 2019-11-05 14:07:27 UTC
Yes. Tetris is a registered trademark, this is inappropriate and not permissible in Fedora. To resolve this issue, you'd either need to:

* Get permission from the trademark holder (hint, this is not going to happen)
* Rename the software to something that does not contain (or is confused with) the trademark "Tetris". This does not include file names or function names, only names that are visible to the end user.

Comment 4 Antonio 2019-11-05 17:32:31 UTC
(In reply to Tom "spot" Callaway from comment #3)
> Yes. Tetris is a registered trademark, this is inappropriate and not
> permissible in Fedora. To resolve this issue, you'd either need to:
> 
> * Get permission from the trademark holder (hint, this is not going to
> happen)
> * Rename the software to something that does not contain (or is confused
> with) the trademark "Tetris". This does not include file names or function
> names, only names that are visible to the end user.

Hello Tom.

Do you refer to the *tetris* inside the vi*tetris* name?
Or just to the "Tetris" inside the package description?

Comment 5 Tom "spot" Callaway 2019-11-05 18:28:46 UTC
Yes. The *tetris* in vi*tetris*.

Comment 6 Antonio 2019-11-05 18:56:19 UTC
Is it reasonable for you "hiding" the real name with something like "virtual-tris"?

Comment 7 Tom "spot" Callaway 2019-11-06 18:19:26 UTC
The software (not just the package name) needs to be renamed to something that is not infringing upon the tetris trademark. "virtual-tris" fails that test, it relies on awareness of the "tetris" mark and causes confusion. 

Some suggestions that would be acceptable:

"virtual-falling-blocks"
"vifb"
"vt-falling-blocks"

and so on and so forth.

Comment 8 Antonio 2019-11-06 20:10:09 UTC
I doubt that upstream will change the name of their software to support our rules.
I close this ticket and abandon vitetris packaging.

Thanks to everyone.


Note You need to log in before you can comment on or make changes to this bug.